import type { GetMenuListParams, MenuItem } from './types'
import { defHttp } from '@/utils/http/axios'

export function getMenuListWithoutButtons() {
  return defHttp.get<MenuItem[]>({
    url: '/system/menu/tree',
  })
}

export function getMenuList(params: GetMenuListParams) {
  return defHttp.get<PageResult<MenuItem>>({
    url: '/system/menu/list',
    params,
  })
}

export function getMenu(id: string) {
  return defHttp.get({
    url: `/system/menu/get?id=${id}`,
  })
}

export function createMenu(data: Omit<MenuItem, 'id' | 'children'>) {
  return defHttp.post({
    url: '/system/menu/save',
    data,
  })
}

export function updateMenu(data: Omit<MenuItem, 'children'>) {
  return defHttp.post({
    url: '/system/menu/update',
    data,
  })
}

export function deleteMenu(id: string) {
  return defHttp.post({
    url: `/system/menu/delete?id=${id}`,
  })
}
