import type { GetTenantListParams, Tenant } from './types'
import { defHttp } from '@/utils/http/axios'

export function getTenantList(params: GetTenantListParams) {
  return defHttp.get<PageResult<Tenant>>({
    url: '/system/tenant/page',
    params,
  })
}

export function updateTenant(data: Tenant) {
  return defHttp.post({
    url: '/system/tenant/update',
    data,
  })
}

export function createTenant(data: Tenant) {
  return defHttp.post({
    url: '/system/tenant/save',
    data,
  })
}

export function deleteTenant(id: string) {
  return defHttp.post({
    url: `/system/tenant/remove?id=${id}`,
  })
}

export function getAllTenants() {
  return defHttp.get({
    url: '/system/tenant/select',
  })
}
