import type { GetUserListParams, SystemUser } from './types'
import { defHttp } from '@/utils/http/axios'

export function getUserList(params: GetUserListParams) {
  return defHttp.get<PageResult<SystemUser>>({
    url: '/system/user/page',
    params,
  })
}

export function createUser(data: Partial<SystemUser>) {
  return defHttp.post({
    url: '/system/user/save',
    data,
  })
}

export function updateUser(data: Partial<SystemUser>) {
  return defHttp.post({
    url: '/system/user/update',
    data,
  })
}

export function deleteUser(id: string) {
  return defHttp.post({
    url: `/system/user/delete?id=${id}`,
  })
}
